<?php
/**
 * Created by FFB.
 * Company: Shenzhen Zhixun Information Tec. Nanchang Com.
 * Copyright: ShenzhenZhixun
 * Email: eastbus@126.com
 * User: FFB
 * Date: 2025-03-11 12:09:31
 * 文件不允许修改，自动生成
 */

namespace common\table\bms_alarm;

class BmsCommand{
    public static function tableName()
    {
        return '{{bms_command}}';
    }
                
    /**
     * ------------ 字段 command_id 
     * ------------ 表字段注释: 
     */
    public function filterByCommandId($val): self
    {
        $this->filterByColumn("command_id", $val);
        return $this;
    }

    public function setCommandId($val): self
    {
        $this->setAttr("command_id", $val);
        return $this;
    }

    public function getCommandId()
    {
        return $this->command_id ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 macid 
     * ------------ 表字段注释: 设备号
     */
    public function filterByMacid($val): self
    {
        $this->filterByColumn("macid", $val);
        return $this;
    }

    public function setMacid($val): self
    {
        $this->setAttr("macid", $val);
        return $this;
    }

    public function getMacid()
    {
        return $this->macid ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 name 
     * ------------ 表字段注释: 参数名称
     */
    public function filterByName($val): self
    {
        $this->filterByColumn("name", $val);
        return $this;
    }

    public function setName($val): self
    {
        $this->setAttr("name", $val);
        return $this;
    }

    public function getName()
    {
        return $this->name ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 value 
     * ------------ 表字段注释: 值
     */
    public function filterByValue($val): self
    {
        $this->filterByColumn("value", $val);
        return $this;
    }

    public function setValue($val): self
    {
        $this->setAttr("value", $val);
        return $this;
    }

    public function getValue()
    {
        return $this->value ?? null;
    }
    // ---------------------------------------------
                
    /**
     * ------------ 字段 time 
     * ------------ 表字段注释: 时间
     */
    public function filterByTime($val): self
    {
        $this->filterByColumn("time", $val);
        return $this;
    }

    public function setTime($val): self
    {
        $this->setAttr("time", $val);
        return $this;
    }

    public function getTime()
    {
        return $this->time ?? null;
    }
    // ---------------------------------------------
    
}
